# RusTypograf v0.6.1

Данный гем предназначен для русского языка (хотя сейчас он одинаково работает со всеми), поэтому, Readme будет на русском.

## Что делает гем
Большие задатки, но маленький функционал.
Поможет заметить `<<` на кавычки-ёлочки, расставляет запятые перед предлогами `а` и `но` , проверяет есть ли пробел перед знаком припинания, меняет `--` на дефис и конечно же, меняет `...` на символ троеточия. Работа над гемом еще ведется. 

## Привер работы 

Для установки гема вам потребуется сделать 
```bash
gem build rus_typograf.gemspec
gem install rus_typograf-0.6.0.gem
```

Далее, чтоб начать работать с гемом:
```bash
> irb
> require 'rus_typograf'
```

И теперь, можно приступать к работе.

```bash 
@text = 'Плохой текст , где запятые далеко -- а тире близко . Такой текст называется << Плохим >> и лучше бы его от типографировать...'
Typograf.new.typograf_text(@text)
=> "Плохой текст, где запятые далеко — а тире близко. Такой текст называется « Плохим » и лучше бы его от типографировать…
```

Если вы хотите отключить какую-нибудь опцию, это можно сделать так:
```bash
> Typograf.new(punctuation_mark: false).typograf_text(@text)
=> "Плохой текст , где запятые далеко — а тире близко . Такой текст называется « Плохим » и лучше бы его от типографировать..."
```

Список всех опции:
```ruby
punctuation_mark: true,
space: true,
quotes: true,
dash: true
```
