
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "rus_typograf/version"

Gem::Specification.new do |spec|
  spec.name          = "rus_typograf"
  spec.version       = RusTypograf::VERSION
  spec.authors       = ["Andrey Morozov"]
  spec.email         = ["ic3morozov@ya.ru"]

  spec.summary       = %q{Small ruby typograph}
  spec.description   = %q{This typographer is able to work with strings and typography text according to specified parameters.}
  spec.homepage      = "https://github.com/adavaika/rus_typograf"
  spec.license       = "MIT"

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
